package com.steering.pss.pncost.entity;

/**
 * 数据库表COST_BASE_METAL_R_GRADE所对应的实体类（生成工具：代码生成器3.0）
 * @author doubi-PC   date 2016-09-12
 */
@SuppressWarnings("serial")
public class CostBaseMetalGradeEntity implements java.io.Serializable {
    /**
     * 钢种代码(来源于COM_BASE_GRADE)
     */
    private String gradecode = "";
    /**
     * 物料编码(来源于采购系统表PUR_MAT)
     */
    private String itemCode = "";
    /**
     * 物料名称(来源于采购系统表PUR_MAT)
     */
    private String itemName = "";
    /**
     * 投入量(公斤)
     */
    private String inputAmount = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";

    /**
     * 钢种代码(来源于COM_BASE_GRADE)
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码(来源于COM_BASE_GRADE)
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 物料编码(来源于采购系统表PUR_MAT)
     * @return value
     */
    public String getItemCode() {
        return itemCode;
    }

    /**
     * 物料编码(来源于采购系统表PUR_MAT)
     * @param itemCode value
     */
    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    /**
     * 物料名称(来源于采购系统表PUR_MAT)
     * @return value
     */
    public String getItemName() {
        return itemName;
    }

    /**
     * 物料名称(来源于采购系统表PUR_MAT)
     * @param itemName value
     */
    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    /**
     * 投入量(公斤)
     * @return value
     */
    public String getInputAmount() {
        return inputAmount;
    }

    /**
     * 投入量(公斤)
     * @param inputAmount value
     */
    public void setInputAmount(String inputAmount) {
        this.inputAmount = inputAmount;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}
